package processor

import (
	"nms_nbi/src/framework/cron"
	"nms_nbi/src/modules/crontask/processor/backupEtcFromNE"
	"nms_nbi/src/modules/crontask/processor/delExpiredNeBackup"
	"nms_nbi/src/modules/crontask/processor/deleteExpiredRecord"
	"nms_nbi/src/modules/crontask/processor/genNeStateAlarm"
	"nms_nbi/src/modules/crontask/processor/getStateFromNE"
	monitorsysresource "nms_nbi/src/modules/crontask/processor/monitor_sys_resource"
)

// InitCronQueue 初始定时任务队列
func InitCronQueue() {
	// 监控-系统资源
	cron.CreateQueue("monitor_sys_resource", monitorsysresource.NewProcessor)
	// delete expired NE backup file
	cron.CreateQueue("delExpiredNeBackup", delExpiredNeBackup.NewProcessor)
	cron.CreateQueue("deleteExpiredRecord", deleteExpiredRecord.NewProcessor)
	cron.CreateQueue("backupEtcFromNE", backupEtcFromNE.NewProcessor)
	cron.CreateQueue("getStateFromNE", getStateFromNE.NewProcessor)
	cron.CreateQueue("genNeStateAlarm", genNeStateAlarm.NewProcessor)
}
